com.singularsys.jep.misc.threadsafeeval

## Class ThreadSafeEle

- java.lang.Object
- - com.singularsys.jep.functions.PostfixMathCommand
  - - com.singularsys.jep.functions.NaryFunction
    - - com.singularsys.jep.functions.Ele
      - - com.singularsys.jep.misc.threadsafeeval.ThreadSafeEle

- All Implemented Interfaces:
    LValueI, PostfixMathCommandI, java.io.Serializable

      public class ThreadSafeEle
      extends Ele

  Thread safe version of the element operation.
  Since:
    Jep 3.5
  Author:
    Richard Morris
  See Also:
    `Ele`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.functions.Ele

      `indexShift`

    - ### Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `curNumberOfParameters, name, NaN, numberOfParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadSafeEle()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Variable` | `getVariable(Evaluator pv, ASTVarNode node)` Find the variable associated with a node.

    - ### Methods inherited from class com.singularsys.jep.functions.Ele

      `checkNumberOfParameters, ele, ele, ele, ele, eval, set`

    - ### Methods inherited from class com.singularsys.jep.functions.NaryFunction

      `run`

    - ### Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadSafeEle

          public ThreadSafeEle()

  - ### Method Detail

    - #### getVariable

          protected Variable getVariable(Evaluator pv,
                                         ASTVarNode node)

      Description copied from class: `Ele`
      Find the variable associated with a node. Overwitten by subclasses which require thread-safety.
      Overrides:
        `getVariable` in class `Ele`
      Parameters:
        `pv` - the evaluator
        `node` - the node
      Returns:
        the variable

Copyright © 2018 Singular Systems http://www.singularsys.com/jep